Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Enum CardPaymentServiceType2Code

- java.lang.Object
- - java.lang.Enum<CardPaymentServiceType2Code>
  - - org.kapott.hbci.sepa.jaxb.camt_052_001_07.CardPaymentServiceType2Code

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CardPaymentServiceType2Code>`

    public enum CardPaymentServiceType2Code
    extends java.lang.Enum<CardPaymentServiceType2Code>

Java class for CardPaymentServiceType2Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CardPaymentServiceType2Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="AGGR"/>
         <enumeration value="DCCV"/>
         <enumeration value="GRTT"/>
         <enumeration value="INSP"/>
         <enumeration value="LOYT"/>
         <enumeration value="NRES"/>
         <enumeration value="PUCO"/>
         <enumeration value="RECP"/>
         <enumeration value="SOAF"/>
         <enumeration value="UNAF"/>
         <enumeration value="VCAU"/>
       </restriction>
     </simpleType>

### Enum Constant Summary

Enum Constants
`AGGR`
`DCCV`
`GRTT`
`INSP`
`LOYT`
`NRES`
`PUCO`
`RECP`
`SOAF`
`UNAF`
`VCAU`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CardPaymentServiceType2Code` `fromValue​(java.lang.String v)`
`java.lang.String` `value()`
`static CardPaymentServiceType2Code` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CardPaymentServiceType2Code[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AGGR

    public static final CardPaymentServiceType2Code AGGR

#### DCCV

    public static final CardPaymentServiceType2Code DCCV

#### GRTT

    public static final CardPaymentServiceType2Code GRTT

#### INSP

    public static final CardPaymentServiceType2Code INSP

#### LOYT

    public static final CardPaymentServiceType2Code LOYT

#### NRES

    public static final CardPaymentServiceType2Code NRES

#### PUCO

    public static final CardPaymentServiceType2Code PUCO

#### RECP

    public static final CardPaymentServiceType2Code RECP

#### SOAF

    public static final CardPaymentServiceType2Code SOAF

#### UNAF

    public static final CardPaymentServiceType2Code UNAF

#### VCAU

    public static final CardPaymentServiceType2Code VCAU

### Method Detail

#### values

    public static CardPaymentServiceType2Code[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CardPaymentServiceType2Code c : CardPaymentServiceType2Code.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CardPaymentServiceType2Code valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public java.lang.String value()

#### fromValue

    public static CardPaymentServiceType2Code fromValue​(java.lang.String v)